Opened 4 years ago

Last modified 4 years ago

#2776 open defect

MXF DV from AAF (Avid) not demuxable

Reported by: irius Owned by:
Priority: important Component: avformat
Version: git-master Keywords: mxf dvvideo regression
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

I am uploading the file MXF_DVCAM_not_demuxable.mxf to the FTP which causes the problem.

To reproduce the problem just type:

ffplay -v 9 -loglevel 99 -i Olimpic_Games.mxf

ffplay version 1.2 Copyright (c) 2003-2013 the FFmpeg developers
  built on Mar 28 2013 00:31:28 with gcc 4.8.0 (GCC)

This file starts playing (with ffplay) fine, but after 5 or 6 seconds the following error message shows up:

[mxf @ 01a07a00] KLV for edit unit 123 extends into next edit unit - OPAtom misinterpreted as OP1a?
[mxf @ 01a07a00] If you want to help, upload a sample of this file to ftp://upload.ffmpeg.org/MPlayer/incoming/ and contact the ffmpeg-devel mailing list.

VLC can decode the file as well as other profesisonal video editors (Edius, other).

The exact same issue happens when using the ffmpeg API directly, or the ffmpeg.exe tool.
Actually, the file was generated from and Avid AAF by means of a MXF Mainconcept multiplexer (SDK version 9.5). I believe the file is fine as it is playable with vlc, editable with Edius and other profesisonal video editors.
Mainconcept's MXF Demuxer also can read the file fine.

Ignasi

Change History (4)

comment:1 Changed 4 years ago by cehoyos

Please test current git head and please add the complete, uncut console output to make this a valid ticket.

comment:2 Changed 4 years ago by irius

Sorry. I've just tested with today's Zeranoe build, and the error message changed slightly. It basically says that something might not be implemented yet.

Here's what I get (I had to cut the output because the last message is repeated for each KLV unit):

\ffmpeg-20130711-git-15cee5e-win32-static\bin>ffplay -v 9 -loglevel 99 -i \Users\Ignasi\Desktop\MXF_DVCAM_not_demuxable.mxf

ffplay version N-54643-g15cee5e Copyright (c) 2003-2013 the FFmpeg developers
  built on Jul 11 2013 03:29:01 with gcc 4.7.3 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-avisynth --enable-bzlib --enable-fontconfig --enable-frei0r --enable-gnutls --enab
le-iconv --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetype --enable-libgsm --enable-libilbc --enable-libmodplug --enable-libmp3lame --ena
ble-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libopus --enable-librtmp --enable-libschroedinger --enable-libsoxr --enable-libsp
eex --enable-libtheora --enable-libtwolame --enable-libvo-aacenc --enable-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libx264 --enable-libxavs --
enable-libxvid --enable-zlib
  libavutil      52. 39.100 / 52. 39.100
  libavcodec     55. 18.102 / 55. 18.102
  libavformat    55. 12.101 / 55. 12.101
  libavdevice    55.  3.100 / 55.  3.100
  libavfilter     3. 80.100 /  3. 80.100
  libswscale      2.  3.100 /  2.  3.100
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  3.100 / 52.  3.100
Format mxf probed with size=2048 and score=1000KB sq=    0B f=0/0
[mxf @ 032c77e0] dvvideo: Universal Label: 060e2b34.0401.0101.04010202.02010200
[mxf @ 032c77e0] none: Universal Label: 00000000.0000.0000.00000000.00000000
[mxf @ 032c77e0] none: Universal Label: 00000000.0000.0000.00000000.00000000
[mxf @ 032c77e0] none: Universal Label: 00000000.0000.0000.00000000.00000000
[mxf @ 032c77e0] none: Universal Label: 00000000.0000.0000.00000000.00000000
[mxf @ 032c77e0] File position before avformat_find_stream_info() is 9728
[mxf @ 032c77e0] parser not found for codec dvvideo, packets or times may be invalid.
    Last message repeated 1 times
[mxf @ 032c77e0] Probe buffer size limit of 5000000 bytes reached
[mxf @ 032c77e0] File position after avformat_find_stream_info() is 5070100
Input #0, mxf, from '\Users\Ignasi\Desktop\MXF_DVCAM_not_demuxable.mxf':
  Metadata:
    uid             : 9be8e3a6-529a-4f48-90f6-61d0690e3400
    generation_uid  : 9be8e3a6-529a-4f48-90f6-61d0690e3500
    company_name    : MainConcept
    product_name    : MXF Multiplexer
    product_version : 9.6.8.2473
    product_uid     : 060e2b34-0000-0000-0000-000000000000
    modification_date: 2013-05-17 12:25:48
    timecode        : 00:00:00:00
  Duration: 00:00:51.80, start: 0.000000, bitrate: 33790 kb/s
    Stream #0:0, 30, 1/25: Video: dvvideo, yuv420p, 720x576 [SAR 64:45 DAR 16:9], 1/25, 25 fps, 25 tbr, 25 tbn, 25 tbc
    Stream #0:1, 30, 1/48000: Audio: pcm_s16le, 48000 Hz, 1 channels, s16, 768 kb/s
    Stream #0:2, 30, 1/48000: Audio: pcm_s16le, 48000 Hz, 1 channels, s16, 768 kb/s
    Stream #0:3, 29, 1/48000: Audio: pcm_s16le, 48000 Hz, 1 channels, s16, 768 kb/s
    Stream #0:4, 29, 1/48000: Audio: pcm_s16le, 48000 Hz, 1 channels, s16, 768 kb/s
detected 8 logical cores
[ffplay_abuffer @ 032c7fa0] Setting 'sample_rate' to value '48000'
[ffplay_abuffer @ 032c7fa0] Setting 'sample_fmt' to value 's16'
[ffplay_abuffer @ 032c7fa0] Setting 'channels' to value '1'
[ffplay_abuffer @ 032c7fa0] Setting 'time_base' to value '1/48000'
[ffplay_abuffer @ 032c7fa0] tb:1/48000 samplefmt:s16 samplerate:48000 chlayout:(null)
[AVFilterGraph @ 032d9120] query_formats: 2 queried, 3 merged, 0 already done, 0 delayed
Audio frame changed from rate:48000 ch:1 fmt:s16 layout:0 channels serial:-1 to rate:48000 ch:1 fmt:s16 layout:0 channels serial:1
Video frame changed from size:0x0 format:none serial:-1 to size:720x576 format:yuv420p serial:1
[ffplay_abuffer @ 032c8020] Setting 'sample_rate' to value '48000'
[ffplay_abuffer @ 032c8020] Setting 'sample_fmt' to value 's16'
[ffplay_buffer @ 032c7fa0] Setting 'video_size' to value '720x576'
[ffplay_abuffer @ 032c8020] Setting 'channels' to value '1'
[ffplay_buffer @ 032c7fa0] Setting 'pix_fmt' to value '0'
[ffplay_abuffer @ 032c8020] Setting 'time_base' to value '1/48000'
[ffplay_buffer @ 032c7fa0] Setting 'time_base' to value '1/25'
[ffplay_abuffer @ 032c8020] [ffplay_buffer @ 032c7fa0] tb:1/48000 samplefmt:s16 samplerate:48000 chlayout:(null)
Setting 'pixel_aspect' to value '64/45'
[AVFilterGraph @ 032d9120] [ffplay_buffer @ 032c7fa0] query_formats: 2 queried, 3 merged, 0 already done, 0 delayed
Setting 'frame_rate' to value '25/1'
[ffplay_buffer @ 032c7fa0] w:720 h:576 pixfmt:yuv420p tb:1/25 fr:25/1 sar:64/45 sws_param:
[ffplay_crop @ 032c81a0] Setting 'out_w' to value 'floor(in_w/2)*2'
[ffplay_crop @ 032c81a0] Setting 'out_h' to value 'floor(in_h/2)*2'
[AVFilterGraph @ 0266fe60] query_formats: 3 queried, 2 merged, 0 already done, 0 delayed
[ffplay_crop @ 032c81a0] w:720 h:576 sar:64/45 -> w:720 h:576 sar:64/45
OPAtom misinterpreted as OP1a?KLV for edit unit 123 extending into next edit unit is not implemented. Update your FFmpeg version to the newest one from Git. If
the problem still occurs, it means that your file has a feature which has not been implemented.
[mxf @ 032c77e0] If you want to help, upload a sample of this file to ftp://upload.ffmpeg.org/MPlayer/incoming/ and contact the ffmpeg-devel mailing list.
OPAtom misinterpreted as OP1a?KLV for edit unit 124 extending into next edit unit is not implemented. Update your FFmpeg version to the newest one from Git. If
the problem still occurs, it means that your file has a feature which has not been implemented.
[mxf @ 032c77e0] If you want to help, upload a sample of this file to ftp://upload.ffmpeg.org/MPlayer/incoming/ and contact the ffmpeg-devel mailing list.
OPAtom misinterpreted as OP1a?KLV for edit unit 125 extending into next edit unit is not implemented. Update your FFmpeg version to the newest one from Git. If
the problem still occurs, it means that your file has a feature which has not been implemented.
[mxf @ 032c77e0] If you want to help, upload a sample of this file to ftp://upload.ffmpeg.org/MPlayer/incoming/ and contact the ffmpeg-devel mailing list.
OPAtom misinterpreted as OP1a?KLV for edit unit 126 extending into next edit unit is not implemented. Update your FFmpeg version to the newest one from Git. If
the problem still occurs, it means that your file has a feature which has not been implemented.
[mxf @ 032c77e0] If you want to help, upload a sample of this file to ftp://upload.ffmpeg.org/MPlayer/incoming/ and contact the ffmpeg-devel mailing list.
OPAtom misinterpreted as OP1a?KLV for edit unit 127 extending into next edit unit is not implemented. Update your FFmpeg version to the newest one from Git. If
the problem still occurs, it means that your file has a feature which has not been implemented.
[mxf @ 032c77e0] If you want to help, upload a sample of this file to ftp://upload.ffmpeg.org/MPlayer/incoming/ and contact the ffmpeg-devel mailing list.
OPAtom misinterpreted as OP1a?KLV for edit unit 128 extending into next edit unit is not implemented. Update your FFmpeg version to the newest one from Git. If
the problem still occurs, it means that your file has a feature which has not been implemented.
[mxf @ 032c77e0] If you want to help, upload a sample of this file to ftp://upload.ffmpeg.org/MPlayer/incoming/ and contact the ffmpeg-devel mailing list.

comment:3 Changed 4 years ago by cehoyos

  • Component changed from undetermined to avformat
  • Keywords mxf dvvideo regression added
  • Priority changed from normal to important
  • Reproduced by developer set
  • Status changed from new to open

Regression since bf2290a8

comment:4 Changed 4 years ago by cehoyos

Sample is in http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket2776/

The issue may be related to ticket #1916: Allow your professional video editors to read the file in http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket1916/ ?

Note: See TracTickets for help on using tickets.